Subject: Re: help on using guestgroup....

From: Rob Allen <[email-masked]>
Date: Thu, 14 Nov 1996 08:09:33 -0600

At 07:06 PM 11/13/96 -0500, you wrote:
>> 
>> I am using the guestgroup parameter in /etc/ftpaccess to restrict real
>> users to their home directories. Everything seems to work for the most part
>> except when the real user needs to delete a file or directory. I duplicated
>> the directory structure of the /home/ftp for each of the real users (is
>> there a better way to do this?). There is no rm or rmdir in the /bin dir. I
>> put them both there to see if it would change things, but of course it
didn't.
>> 
>> What would be the next best thing to try?
>> 
>
>Well don't bother providing rm | rmdir etc ..
>it's a real pain if they're not statically link
>and security hazards.
>
>FTP as enough internal commands
>
>DEL (delete)
>RMD (rmdir)
>
>just don't forget to enable it in the ftpaccess
>and of course the permission must be right.
>
>ftpaccess-----
>delete yes guest
>etc ...
>see man page
>
>

Ahhh, It makes sense now!!! I was wondering what the guest option in
ftpaccess was being used for. I kept thinking that they were still
classified as real users. It now works perfectly!!!

Thanks,
-Rob

+--------------------------------------------------------------------+
|     _/     _/ _/_/_/_/_/  _/_/_/_/      Rob Allen                  |
|    _/_/   _/     _/     _/              Internet Administrator     |
|   _/ _/  _/     _/       _/_/_/         NTS Communications, Inc.   |
|  _/   _/_/     _/             _/        (806) 762-4565 ext. 4110   |
| _/     _/     _/       _/_/_/_/         E-Mail: [email-masked]    |
+--------------------------------------------------------------------+